﻿body {
}

a {
    color:rgb(4, 10, 90);
}

    a:hover {
        color: rgb(4, 10, 90);
    }

.bg-brand {
    background-color: rgb(4, 10, 90);
}

.color-brand {
    color: rgb(4, 10, 90);
}

#wrapper {
    flex: 1;
    display: flex;
    overflow: auto;
}

#sidebar-wrapper {
    min-height: 90vh;
    margin-left: -16rem;
    -webkit-transition: margin .25s ease-out;
    -moz-transition: margin .25s ease-out;
    -o-transition: margin .25s ease-out;
    transition: margin .25s ease-out;
}

    #sidebar-wrapper .sidebar-heading {
        padding: 0.875rem 1.25rem;
        font-size: 1.2rem;
    }

#page-content-wrapper {
    min-width: 100vw;
    background: #fff;
    color: #000;
    padding: 0.5em;
}

#wrapper.toggled #sidebar-wrapper {
    margin-left: 0rem;
}

[data-toggle="dropdown"]:after {
    font-family: "Font Awesome 5 Free";
    font-size: xx-large;
    content: "\f2bd";
}

.show [data-toggle="dropdown"]:after {
    content: "\f2bd";
}

.dropdown-toggle {
    display: flex;
}

    .dropdown-toggle:after {
        border: none;
    }

@media (min-width: 768px) {
    #sidebar-wrapper {
        margin-left: 0;
    }

    #page-content-wrapper {
        min-width: 0;
        width: 100%;
    }

    #wrapper.toggled #sidebar-wrapper {
        margin-left: -15rem;
    }
}

/*
* Sidebar
*/
.sidebar {
    background-color: #EEEEFF;
    border-right: 1px solid rgba(0, 0, 0, 0.125);
}

#sidebar-wrapper .list-sidebar {
    width: 16rem;
}

.list-sidebar {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    padding-left: 0;
    margin-bottom: 0;
}

.list-sidebar-item {
    background-color: transparent !important;
    color: #040A5A !important;
    font-weight: bold;
    text-decoration: none;
    cursor: pointer;
    position: relative;
    display: block;
    padding: 0.75rem 1.25rem;
    background-color: #fff;
    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
}

    .list-sidebar-item:hover {
        text-decoration: none;
    }

    .list-sidebar-item span {
        margin-top: 10px;
        border: solid #222;
        border-width: 0 1px 1px 0;
        display: inline;
        cursor: pointer;
        padding: 3px;
        position: absolute;
        right: 0;
    }

    .list-sidebar-item span {
        transform: rotate(-140deg);
        -webkit-transform: rotate(-140deg);
        transition: .3s transform ease-in-out;
    }

    .list-sidebar-item.collapsed span {
        transform: rotate(40deg);
        -webkit-transform: rotate(40deg);
        transition: .3s transform ease-in-out;
    }

.submenu {
    padding-left: 40px !important;
}

.menu-icon {
    display: inline-block;
    width: 20px;
    margin-right: 5px;
    text-align: center;
}

.submenu-active {
    background-color: #fff !important;
}

/*
    Breadcrumb
*/
.breadcrumb {
    padding: 0.75rem 0;
    background-color: transparent;
}

/*
    Button 
*/
.btn-primary {
    color: white !important;
    background-color: #17468f;
    border-color: #17468f;
    font-weight: bold;
}

.btn-warning {
    color: white !important;
    font-weight: bold;
}

.btn-danger {
    color: white !important;
    font-weight: bold;
}

/*
    Datatables
*/
.paging {
    max-height: 2rem;
    padding-top: 0.25rem;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    padding: 0.15em 0.70em !important;
}

table.dataTable tbody th, table.dataTable tbody td {
    padding: 5px 10px !important;
}

/*
    Login
*/
.bg-login-image {
    background: url(/Images/login-banner.jpg);
    background-position: center;
    background-size: cover;
}

/*
    forms
*/
.form-group {
    margin-bottom: 0.5rem;
}

.validation-summary-errors ul {
    margin-bottom: 0;
}

.select2-container .select2-selection--single {
    height: calc(1.5em + 0.75rem + 2px) !important;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da !important;
    border-radius: 0.25rem !important;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    .select2-container .select2-selection--single .select2-selection__rendered {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: calc(1.5em + 0.75rem + 2px) !important;
}


/**
    Modal Loader
*/
.loader {
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid blue;
    border-right: 16px solid green;
    border-bottom: 16px solid red;
    width: 50px;
    height: 50px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

.loader-body {
    width: 100%;
    background: transparent;
    border-width: 0;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
